package dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

public class StudentAntDao {

	private String driverName;
	private String url;
	private String username;
	private String password;
	Connection con;
	PreparedStatement ps1;
	PreparedStatement ps2;

	public StudentAntDao(String driverName, String url, String username, String password) {
		this.driverName = driverName;
		this.url = url;
		this.username = username;
		this.password = password;
	}

	// init method
	@PostConstruct
	public void conInit() throws Exception {
		Class.forName(driverName);
		con = DriverManager.getConnection(url, username, password);
		ps1 = con.prepareStatement("insert into DS_STUDENT values(?,?,?,?)");
		ps2 = con.prepareStatement("update DS_STUDENT set name=?,email=?,address=? where id=?");
		System.out.println("after pojo object created and setters executed");
	}

	public void saveStudent(int id, String name, String email, String address) throws Exception {
		ps1.setInt(1, id);
		ps1.setString(2, name);
		ps1.setString(3, email);
		ps1.setString(4, address);
		ps1.executeUpdate();
		System.out.println("SAVE SUCCESS");
	}

	public void updateStudent(int id, String name, String email, String address) throws Exception {
		ps2.setString(1, name);
		ps2.setString(2, email);
		ps2.setString(3, address);
		ps2.setInt(4, id);
		ps2.executeUpdate();
		System.out.println("UPDATE SUCCESS");
	}

	// destroy method
	@PreDestroy
	public void conDestroy() throws Exception {
		con.close();
		ps1.close();
		ps2.close();
		System.out.println("at the time of continer close");
	}

}
